diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/model/hybrid-buildings-propagation-loss-model.h ns-3.40/src/buildings/model/hybrid-buildings-propagation-loss-model.h
--- ns-3.39/src/buildings/model/hybrid-buildings-propagation-loss-model.h	2023-07-05 14:23:47.717427000 -0700
+++ ns-3.40/src/buildings/model/hybrid-buildings-propagation-loss-model.h	2023-09-27 13:30:37.618839000 -0700
@@ -22,7 +22,8 @@
 #ifndef HYBRID_BUILDINGS_PROPAGATION_LOSS_MODEL_H_
 #define HYBRID_BUILDINGS_PROPAGATION_LOSS_MODEL_H_
 
-#include <ns3/buildings-propagation-loss-model.h>
+#include "buildings-propagation-loss-model.h"
+
 #include <ns3/propagation-environment.h>
 
 namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/model/itu-r-1238-propagation-loss-model.cc ns-3.40/src/buildings/model/itu-r-1238-propagation-loss-model.cc
--- ns-3.39/src/buildings/model/itu-r-1238-propagation-loss-model.cc	2023-07-05 14:23:47.717427000 -0700
+++ ns-3.40/src/buildings/model/itu-r-1238-propagation-loss-model.cc	2023-09-27 13:30:37.618839000 -0700
@@ -20,11 +20,12 @@
  */
 #include "itu-r-1238-propagation-loss-model.h"
 
+#include "mobility-building-info.h"
+
 #include "ns3/double.h"
 #include "ns3/enum.h"
 #include "ns3/log.h"
 #include "ns3/mobility-model.h"
-#include <ns3/mobility-building-info.h>
 
 #include <cmath>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/model/mobility-building-info.cc ns-3.40/src/buildings/model/mobility-building-info.cc
--- ns-3.39/src/buildings/model/mobility-building-info.cc	2023-07-05 14:23:47.717427000 -0700
+++ ns-3.40/src/buildings/model/mobility-building-info.cc	2023-09-27 13:30:37.618839000 -0700
@@ -18,10 +18,12 @@
  *
  */
 
+#include "mobility-building-info.h"
+
+#include "building-list.h"
+
 #include <ns3/assert.h>
-#include <ns3/building-list.h>
 #include <ns3/log.h>
-#include <ns3/mobility-building-info.h>
 #include <ns3/pointer.h>
 #include <ns3/position-allocator.h>
 #include <ns3/simulator.h>
@@ -166,7 +168,7 @@
 {
     bool found = false;
     Vector pos = mm->GetPosition();
-    for (BuildingList::Iterator bit = BuildingList::Begin(); bit != BuildingList::End(); ++bit)
+    for (auto bit = BuildingList::Begin(); bit != BuildingList::End(); ++bit)
     {
         NS_LOG_LOGIC("checking building " << (*bit)->GetId() << " with boundaries "
                                           << (*bit)->GetBoundaries());
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/model/mobility-building-info.h ns-3.40/src/buildings/model/mobility-building-info.h
--- ns-3.39/src/buildings/model/mobility-building-info.h	2023-07-05 14:23:47.717427000 -0700
+++ ns-3.40/src/buildings/model/mobility-building-info.h	2023-09-27 13:30:37.618839000 -0700
@@ -20,8 +20,9 @@
 #ifndef MOBILITY_BUILDING_INFO_H
 #define MOBILITY_BUILDING_INFO_H
 
+#include "building.h"
+
 #include <ns3/box.h>
-#include <ns3/building.h>
 #include <ns3/constant-velocity-helper.h>
 #include <ns3/mobility-model.h>
 #include <ns3/object.h>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/model/oh-buildings-propagation-loss-model.cc ns-3.40/src/buildings/model/oh-buildings-propagation-loss-model.cc
--- ns-3.39/src/buildings/model/oh-buildings-propagation-loss-model.cc	2023-07-05 14:23:47.717427000 -0700
+++ ns-3.40/src/buildings/model/oh-buildings-propagation-loss-model.cc	2023-09-27 13:30:37.618839000 -0700
@@ -20,6 +20,8 @@
 
 #include "oh-buildings-propagation-loss-model.h"
 
+#include "mobility-building-info.h"
+
 #include "ns3/double.h"
 #include "ns3/enum.h"
 #include "ns3/log.h"
@@ -27,7 +29,6 @@
 #include "ns3/okumura-hata-propagation-loss-model.h"
 #include "ns3/pointer.h"
 #include "ns3/propagation-loss-model.h"
-#include <ns3/mobility-building-info.h>
 
 #include <cmath>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/model/oh-buildings-propagation-loss-model.h ns-3.40/src/buildings/model/oh-buildings-propagation-loss-model.h
--- ns-3.39/src/buildings/model/oh-buildings-propagation-loss-model.h	2023-07-05 14:23:47.717427000 -0700
+++ ns-3.40/src/buildings/model/oh-buildings-propagation-loss-model.h	2023-09-27 13:30:37.618839000 -0700
@@ -21,7 +21,7 @@
 #ifndef OH_BUILDINGS_PROPAGATION_LOSS_MODEL_H_
 #define OH_BUILDINGS_PROPAGATION_LOSS_MODEL_H_
 
-#include <ns3/buildings-propagation-loss-model.h>
+#include "buildings-propagation-loss-model.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/model/random-walk-2d-outdoor-mobility-model.cc ns-3.40/src/buildings/model/random-walk-2d-outdoor-mobility-model.cc
--- ns-3.39/src/buildings/model/random-walk-2d-outdoor-mobility-model.cc	2023-07-05 14:23:47.717427000 -0700
+++ ns-3.40/src/buildings/model/random-walk-2d-outdoor-mobility-model.cc	2023-09-27 13:30:37.618839000 -0700
@@ -20,8 +20,9 @@
  */
 #include "random-walk-2d-outdoor-mobility-model.h"
 
-#include "ns3/building-list.h"
-#include "ns3/building.h"
+#include "building-list.h"
+#include "building.h"
+
 #include "ns3/double.h"
 #include "ns3/enum.h"
 #include "ns3/log.h"
@@ -31,6 +32,7 @@
 #include "ns3/uinteger.h"
 
 #include <cmath>
+#include <limits>
 
 namespace ns3
 {
@@ -132,6 +134,11 @@
 void
 RandomWalk2dOutdoorMobilityModel::DoWalk(Time delayLeft)
 {
+    if (delayLeft.IsNegative())
+    {
+        NS_LOG_INFO(this << " Ran out of time");
+        return;
+    }
     NS_LOG_FUNCTION(this << delayLeft.GetSeconds());
 
     Vector position = m_helper.GetCurrentPosition();
@@ -160,7 +167,18 @@
             NS_LOG_LOGIC("NextPosition would lead into a building");
             nextPosition =
                 CalculateIntersectionFromOutside(position, nextPosition, building->GetBoundaries());
-            Time delay = Seconds((nextPosition.x - position.x) / speed.x);
+
+            double delaySecondsX = std::numeric_limits<double>::max();
+            double delaySecondsY = std::numeric_limits<double>::max();
+            if (speed.x != 0)
+            {
+                delaySecondsX = std::abs((nextPosition.x - position.x) / speed.x);
+            }
+            if (speed.y != 0)
+            {
+                delaySecondsY = std::abs((nextPosition.y - position.y) / speed.y);
+            }
+            Time delay = Seconds(std::min(delaySecondsX, delaySecondsY));
             m_event = Simulator::Schedule(delay,
                                           &RandomWalk2dOutdoorMobilityModel::AvoidBuilding,
                                           this,
@@ -179,7 +197,24 @@
 
         if (outdoor)
         {
-            Time delay = Seconds((nextPosition.x - position.x) / speed.x);
+            double delaySeconds = std::numeric_limits<double>::max();
+            if (speed.x != 0)
+            {
+                delaySeconds =
+                    std::min(delaySeconds, std::abs((nextPosition.x - position.x) / speed.x));
+            }
+            else if (speed.y != 0)
+            {
+                delaySeconds =
+                    std::min(delaySeconds, std::abs((nextPosition.y - position.y) / speed.y));
+            }
+            else
+            {
+                NS_ABORT_MSG("RandomWalk2dOutdoorMobilityModel::DoWalk: unable to calculate the "
+                             "rebound time "
+                             "(the node is stationary).");
+            }
+            Time delay = Seconds(delaySeconds);
             m_event = Simulator::Schedule(delay,
                                           &RandomWalk2dOutdoorMobilityModel::Rebound,
                                           this,
@@ -190,7 +225,28 @@
             NS_LOG_LOGIC("NextPosition would lead into a building");
             nextPosition =
                 CalculateIntersectionFromOutside(position, nextPosition, building->GetBoundaries());
-            Time delay = Seconds((nextPosition.x - position.x) / speed.x);
+
+            double delaySecondsX = std::numeric_limits<double>::max();
+            double delaySecondsY = std::numeric_limits<double>::max();
+            if (speed.x != 0)
+            {
+                delaySecondsX =
+                    std::min(delaySecondsX, std::abs((nextPosition.x - position.x) / speed.x));
+            }
+            if (speed.y != 0)
+            {
+                delaySecondsY =
+                    std::min(delaySecondsY, std::abs((nextPosition.y - position.y) / speed.y));
+            }
+            if (delaySecondsX == std::numeric_limits<double>::max() &&
+                delaySecondsY == std::numeric_limits<double>::max())
+            {
+                NS_ABORT_MSG("RandomWalk2dOutdoorMobilityModel::DoWalk: unable to calculate the "
+                             "rebound time "
+                             "(the node is stationary).");
+            }
+
+            Time delay = Seconds(std::min(delaySecondsX, delaySecondsY));
             m_event = Simulator::Schedule(delay,
                                           &RandomWalk2dOutdoorMobilityModel::AvoidBuilding,
                                           this,
@@ -215,7 +271,7 @@
     double minIntersectionDistance = std::numeric_limits<double>::max();
     Ptr<Building> minIntersectionDistanceBuilding;
 
-    for (BuildingList::Iterator bit = BuildingList::Begin(); bit != BuildingList::End(); ++bit)
+    for (auto bit = BuildingList::Begin(); bit != BuildingList::End(); ++bit)
     {
         // check if this building intersects the line between the current and next positions
         // this checks also if the next position is inside the building
@@ -250,44 +306,72 @@
 
     // get the closest side
     Rectangle rect = Rectangle(boundaries.xMin, boundaries.xMax, boundaries.yMin, boundaries.yMax);
-    NS_LOG_INFO("rect " << rect);
-    Rectangle::Side closestSide = rect.GetClosestSide(current);
+    NS_LOG_DEBUG("rect " << rect);
+    Rectangle::Side closestSide = rect.GetClosestSideOrCorner(current);
 
     double xIntersect = 0;
     double yIntersect = 0;
 
     switch (closestSide)
     {
-    case Rectangle::RIGHT:
-        NS_LOG_INFO("The closest side is RIGHT");
-        NS_ABORT_MSG_IF(next.x - current.x == 0, "x position not updated");
+    case Rectangle::RIGHTSIDE:
+        NS_LOG_DEBUG("The closest side is RIGHT");
         xIntersect = boundaries.xMax + m_epsilon;
+        NS_ABORT_MSG_IF(next.x - current.x == 0, "x position not updated");
         yIntersect =
             (next.y - current.y) / (next.x - current.x) * (xIntersect - current.x) + current.y;
         break;
-    case Rectangle::LEFT:
-        NS_LOG_INFO("The closest side is LEFT");
+    case Rectangle::LEFTSIDE:
+        NS_LOG_DEBUG("The closest side is LEFT");
         xIntersect = boundaries.xMin - m_epsilon;
         NS_ABORT_MSG_IF(next.x - current.x == 0, "x position not updated");
         yIntersect =
             (next.y - current.y) / (next.x - current.x) * (xIntersect - current.x) + current.y;
         break;
-    case Rectangle::TOP:
-        NS_LOG_INFO("The closest side is TOP");
+    case Rectangle::TOPSIDE:
+        NS_LOG_DEBUG("The closest side is TOP");
         yIntersect = boundaries.yMax + m_epsilon;
         NS_ABORT_MSG_IF(next.y - current.y == 0, "y position not updated");
         xIntersect =
             (next.x - current.x) / (next.y - current.y) * (yIntersect - current.y) + current.x;
         break;
-    case Rectangle::BOTTOM:
-        NS_LOG_INFO("The closest side is BOTTOM");
+    case Rectangle::BOTTOMSIDE:
+        NS_LOG_DEBUG("The closest side is BOTTOM");
         yIntersect = boundaries.yMin - m_epsilon;
         NS_ABORT_MSG_IF(next.y - current.y == 0, "y position not updated");
         xIntersect =
             (next.x - current.x) / (next.y - current.y) * (yIntersect - current.y) + current.x;
         break;
+    case Rectangle::TOPRIGHTCORNER:
+        NS_LOG_DEBUG("The closest side is TOPRIGHT");
+        xIntersect = boundaries.xMax + m_epsilon;
+        NS_ABORT_MSG_IF(next.x - current.x == 0, "x position not updated");
+        yIntersect = boundaries.yMax + m_epsilon;
+        NS_ABORT_MSG_IF(next.y - current.y == 0, "y position not updated");
+        break;
+    case Rectangle::TOPLEFTCORNER:
+        NS_LOG_DEBUG("The closest side is TOPLEFT");
+        xIntersect = boundaries.xMin - m_epsilon;
+        NS_ABORT_MSG_IF(next.x - current.x == 0, "x position not updated");
+        yIntersect = boundaries.yMax + m_epsilon;
+        NS_ABORT_MSG_IF(next.y - current.y == 0, "y position not updated");
+        break;
+    case Rectangle::BOTTOMRIGHTCORNER:
+        NS_LOG_DEBUG("The closest side is BOTTOMRIGHT");
+        xIntersect = boundaries.xMax + m_epsilon;
+        NS_ABORT_MSG_IF(next.x - current.x == 0, "x position not updated");
+        yIntersect = boundaries.yMin - m_epsilon;
+        NS_ABORT_MSG_IF(next.y - current.y == 0, "y position not updated");
+        break;
+    case Rectangle::BOTTOMLEFTCORNER:
+        NS_LOG_DEBUG("The closest side is BOTTOMLEFT");
+        xIntersect = boundaries.xMin - m_epsilon;
+        NS_ABORT_MSG_IF(next.x - current.x == 0, "x position not updated");
+        yIntersect = boundaries.yMin - m_epsilon;
+        NS_ABORT_MSG_IF(next.y - current.y == 0, "y position not updated");
+        break;
     }
-    NS_LOG_INFO("xIntersect " << xIntersect << " yIntersect " << yIntersect);
+    NS_LOG_DEBUG("xIntersect " << xIntersect << " yIntersect " << yIntersect);
     return Vector(xIntersect, yIntersect, 0);
 }
 
@@ -298,20 +382,27 @@
     m_helper.UpdateWithBounds(m_bounds);
     Vector position = m_helper.GetCurrentPosition();
     Vector speed = m_helper.GetVelocity();
-    switch (m_bounds.GetClosestSide(position))
+    switch (m_bounds.GetClosestSideOrCorner(position))
     {
-    case Rectangle::RIGHT:
-        NS_LOG_INFO("The closest side is RIGHT");
-    case Rectangle::LEFT:
-        NS_LOG_INFO("The closest side is LEFT");
+    case Rectangle::RIGHTSIDE:
+    case Rectangle::LEFTSIDE:
+        NS_LOG_DEBUG("The closest side is RIGHT or LEFT");
         speed.x = -speed.x;
         break;
-    case Rectangle::TOP:
-        NS_LOG_INFO("The closest side is TOP");
-    case Rectangle::BOTTOM:
-        NS_LOG_INFO("The closest side is BOTTOM");
+    case Rectangle::TOPSIDE:
+    case Rectangle::BOTTOMSIDE:
+        NS_LOG_DEBUG("The closest side is TOP or BOTTOM");
         speed.y = -speed.y;
         break;
+    case Rectangle::TOPRIGHTCORNER:
+    case Rectangle::BOTTOMRIGHTCORNER:
+    case Rectangle::TOPLEFTCORNER:
+    case Rectangle::BOTTOMLEFTCORNER:
+        NS_LOG_DEBUG("The closest side is a corner");
+        auto temp = speed.x;
+        speed.x = -speed.y;
+        speed.y = -temp;
+        break;
     }
     m_helper.SetVelocity(speed);
     m_helper.Unpause();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/model/random-walk-2d-outdoor-mobility-model.h ns-3.40/src/buildings/model/random-walk-2d-outdoor-mobility-model.h
--- ns-3.39/src/buildings/model/random-walk-2d-outdoor-mobility-model.h	2023-07-05 14:23:47.717427000 -0700
+++ ns-3.40/src/buildings/model/random-walk-2d-outdoor-mobility-model.h	2023-09-27 13:30:37.618839000 -0700
@@ -22,7 +22,8 @@
 #ifndef RANDOM_WALK_2D_OUTDOOR_MOBILITY_MODEL_H
 #define RANDOM_WALK_2D_OUTDOOR_MOBILITY_MODEL_H
 
-#include "ns3/building.h"
+#include "building.h"
+
 #include "ns3/constant-velocity-helper.h"
 #include "ns3/event-id.h"
 #include "ns3/mobility-model.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/model/three-gpp-v2v-channel-condition-model.cc ns-3.40/src/buildings/model/three-gpp-v2v-channel-condition-model.cc
--- ns-3.39/src/buildings/model/three-gpp-v2v-channel-condition-model.cc	2023-07-05 14:23:47.717427000 -0700
+++ ns-3.40/src/buildings/model/three-gpp-v2v-channel-condition-model.cc	2023-09-27 13:30:37.618839000 -0700
@@ -19,9 +19,10 @@
 
 #include "three-gpp-v2v-channel-condition-model.h"
 
+#include "building-list.h"
+
 #include "ns3/log.h"
 #include "ns3/mobility-model.h"
-#include <ns3/building-list.h>
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/test/building-position-allocator-test.cc ns-3.40/src/buildings/test/building-position-allocator-test.cc
--- ns-3.39/src/buildings/test/building-position-allocator-test.cc	2023-07-05 14:23:47.717427000 -0700
+++ ns-3.40/src/buildings/test/building-position-allocator-test.cc	2023-09-27 13:30:37.618839000 -0700
@@ -117,7 +117,7 @@
 
     std::map<Room, uint32_t> roomCounter;
 
-    for (NodeContainer::Iterator it = nodes.Begin(); it != nodes.End(); ++it)
+    for (auto it = nodes.Begin(); it != nodes.End(); ++it)
     {
         Ptr<MobilityModel> mm = (*it)->GetObject<MobilityModel>();
         NS_ASSERT_MSG(mm, "no mobility model aggregated to this node");
@@ -138,7 +138,7 @@
         NS_TEST_ASSERT_MSG_LT(p.z, bmm->GetFloorNumber() + 1, "wrong z value");
     }
 
-    for (std::map<Room, uint32_t>::iterator it = roomCounter.begin(); it != roomCounter.end(); ++it)
+    for (auto it = roomCounter.begin(); it != roomCounter.end(); ++it)
     {
         // random selection is done without replacement until the set of
         // eligible room is empty, at which point the set is filled
@@ -202,7 +202,7 @@
 
     std::map<Room, uint32_t> roomCounter;
 
-    for (NodeContainer::Iterator it = copyNodes.Begin(); it != copyNodes.End(); ++it)
+    for (auto it = copyNodes.Begin(); it != copyNodes.End(); ++it)
     {
         Ptr<MobilityModel> mm = (*it)->GetObject<MobilityModel>();
         NS_ASSERT_MSG(mm, "no mobility model aggregated to this node");
@@ -215,7 +215,7 @@
         ++(roomCounter[r]);
     }
 
-    for (std::map<Room, uint32_t>::iterator it = roomCounter.begin(); it != roomCounter.end(); ++it)
+    for (auto it = roomCounter.begin(); it != roomCounter.end(); ++it)
     {
         NS_TEST_ASSERT_MSG_EQ(it->second, 4, "expected 4 nodes per room");
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/test/outdoor-random-walk-test.cc ns-3.40/src/buildings/test/outdoor-random-walk-test.cc
--- ns-3.39/src/buildings/test/outdoor-random-walk-test.cc	2023-07-05 14:23:47.717427000 -0700
+++ ns-3.40/src/buildings/test/outdoor-random-walk-test.cc	2023-09-27 13:30:37.622839000 -0700
@@ -21,6 +21,7 @@
 #include "ns3/building.h"
 #include "ns3/config.h"
 #include "ns3/double.h"
+#include "ns3/enum.h"
 #include "ns3/log.h"
 #include "ns3/mobility-helper.h"
 #include "ns3/pointer.h"
@@ -82,6 +83,10 @@
 void
 OutdoorRandomWalkTestCase::DoRun()
 {
+    // Samples to test and time steps
+    constexpr double TEST_STEP_S = 10; // s
+    constexpr int MAX_CHECKS = 1000;
+
     // create a grid of buildings
     double buildingSizeX = 100; // m
     double buildingSizeY = 50;  // m
@@ -121,7 +126,11 @@
     mobility.SetMobilityModel(
         "ns3::RandomWalk2dOutdoorMobilityModel",
         "Bounds",
-        RectangleValue(Rectangle(-streetWidth, maxAxisX, -streetWidth, maxAxisY)));
+        RectangleValue(Rectangle(-streetWidth, maxAxisX, -streetWidth, maxAxisY)),
+        "Mode",
+        EnumValue(RandomWalk2dOutdoorMobilityModel::MODE_TIME),
+        "Time",
+        TimeValue(Seconds(TEST_STEP_S * MAX_CHECKS)));
     // create an OutdoorPositionAllocator and set its boundaries to match those of the mobility
     // model
     Ptr<OutdoorPositionAllocator> position = CreateObject<OutdoorPositionAllocator>();
@@ -139,18 +148,16 @@
 
     auto mobilityModel = nodes.Get(0)->GetObject<RandomWalk2dOutdoorMobilityModel>();
 
-    // get maxChecks positions, check if they are outdoors
-    double testStep = 10; // s
-    int maxChecks = 1000;
-    for (int i = 0; i < maxChecks; ++i)
+    // get MAX_CHECKS positions, check if they are outdoors
+    for (int i = 0; i < MAX_CHECKS; i++)
     {
-        Simulator::Schedule(Seconds(i * testStep),
+        Simulator::Schedule(Seconds(i * TEST_STEP_S),
                             &OutdoorRandomWalkTestCase::CheckPositionOutdoor,
                             this,
                             mobilityModel);
     }
 
-    Simulator::Stop(Seconds(maxChecks * testStep + 1));
+    Simulator::Stop(Seconds(MAX_CHECKS * TEST_STEP_S + 1));
     Simulator::Run();
     Simulator::Destroy();
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/click/examples/nsclick-defines.cc ns-3.40/src/click/examples/nsclick-defines.cc
--- ns-3.39/src/click/examples/nsclick-defines.cc	2023-07-05 14:23:47.717427000 -0700
+++ ns-3.40/src/click/examples/nsclick-defines.cc	2023-09-27 13:30:37.622839000 -0700
@@ -28,7 +28,6 @@
 int
 main(int argc, char* argv[])
 {
-#ifdef NS3_CLICK
     std::string clickConfigFolder = "src/click/examples";
 
     CommandLine cmd(__FILE__);
@@ -66,9 +65,6 @@
     Simulator::Run();
     Simulator::Destroy();
     NS_LOG_INFO("Done.");
-#else
-    NS_FATAL_ERROR("Can't use ns-3-click without NSCLICK compiled in");
-#endif
 
     return 0;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/click/examples/nsclick-raw-wlan.cc ns-3.40/src/click/examples/nsclick-raw-wlan.cc
--- ns-3.39/src/click/examples/nsclick-raw-wlan.cc	2023-07-05 14:23:47.717427000 -0700
+++ ns-3.40/src/click/examples/nsclick-raw-wlan.cc	2023-09-27 13:30:37.622839000 -0700
@@ -44,7 +44,6 @@
 int
 main(int argc, char* argv[])
 {
-#ifdef NS3_CLICK
     double rss = -80;
     std::string clickConfigFolder = "src/click/examples";
 
@@ -150,9 +149,6 @@
     Simulator::Run();
 
     Simulator::Destroy();
-#else
-    NS_FATAL_ERROR("Can't use ns-3-click without NSCLICK compiled in");
-#endif
 
     return 0;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/click/examples/nsclick-routing.cc ns-3.40/src/click/examples/nsclick-routing.cc
--- ns-3.39/src/click/examples/nsclick-routing.cc	2023-07-05 14:23:47.721427000 -0700
+++ ns-3.40/src/click/examples/nsclick-routing.cc	2023-09-27 13:30:37.622839000 -0700
@@ -45,7 +45,6 @@
 int
 main(int argc, char* argv[])
 {
-#ifdef NS3_CLICK
     std::string clickConfigFolder = "src/click/examples";
 
     CommandLine cmd(__FILE__);
@@ -131,9 +130,6 @@
     Simulator::Run();
     Simulator::Destroy();
     NS_LOG_INFO("Done.");
-#else
-    NS_FATAL_ERROR("Can't use ns-3-click without NSCLICK compiled in");
-#endif
 
     return 0;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/click/examples/nsclick-simple-lan.cc ns-3.40/src/click/examples/nsclick-simple-lan.cc
--- ns-3.39/src/click/examples/nsclick-simple-lan.cc	2023-07-05 14:23:47.721427000 -0700
+++ ns-3.40/src/click/examples/nsclick-simple-lan.cc	2023-09-27 13:30:37.622839000 -0700
@@ -43,7 +43,6 @@
 int
 main(int argc, char* argv[])
 {
-#ifdef NS3_CLICK
     std::string clickConfigFolder = "src/click/examples";
 
     CommandLine cmd(__FILE__);
@@ -104,9 +103,6 @@
     Simulator::Run();
 
     Simulator::Destroy();
-#else
-    NS_FATAL_ERROR("Can't use ns-3-click without NSCLICK compiled in");
-#endif
 
     return 0;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/click/examples/nsclick-udp-client-server-csma.cc ns-3.40/src/click/examples/nsclick-udp-client-server-csma.cc
--- ns-3.39/src/click/examples/nsclick-udp-client-server-csma.cc	2023-07-05 14:23:47.721427000 -0700
+++ ns-3.40/src/click/examples/nsclick-udp-client-server-csma.cc	2023-09-27 13:30:37.622839000 -0700
@@ -48,7 +48,6 @@
 int
 main(int argc, char* argv[])
 {
-#ifdef NS3_CLICK
     std::string clickConfigFolder = "src/click/examples";
 
     CommandLine cmd(__FILE__);
@@ -130,9 +129,6 @@
     Simulator::Run();
     Simulator::Destroy();
     NS_LOG_INFO("Done.");
-#else
-    NS_FATAL_ERROR("Can't use ns-3-click without NSCLICK compiled in");
-#endif
 
     return 0;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/click/examples/nsclick-udp-client-server-wifi.cc ns-3.40/src/click/examples/nsclick-udp-client-server-wifi.cc
--- ns-3.39/src/click/examples/nsclick-udp-client-server-wifi.cc	2023-07-05 14:23:47.721427000 -0700
+++ ns-3.40/src/click/examples/nsclick-udp-client-server-wifi.cc	2023-09-27 13:30:37.622839000 -0700
@@ -50,7 +50,6 @@
 
 NS_LOG_COMPONENT_DEFINE("NsclickUdpClientServerWifi");
 
-#ifdef NS3_CLICK
 void
 ReadArp(Ptr<Ipv4ClickRouting> clickRouter)
 {
@@ -66,12 +65,10 @@
     NS_LOG_INFO(
         clickRouter->WriteHandler("wifi/arpquerier", "insert", "172.16.1.2 00:00:00:00:00:02"));
 }
-#endif
 
 int
 main(int argc, char* argv[])
 {
-#ifdef NS3_CLICK
     std::string clickConfigFolder = "src/click/examples";
 
     CommandLine cmd(__FILE__);
@@ -216,9 +213,6 @@
     Simulator::Run();
     Simulator::Destroy();
     NS_LOG_INFO("Done.");
-#else
-    NS_FATAL_ERROR("Can't use ns-3-click without NSCLICK compiled in");
-#endif
 
     return 0;
 }
